/******************************************************************************
 CImgWndToolCoord.h

		Interface for the ToolFrame & ToolCenter Classes
		
    	Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include "CImgWndTask.h"					/* Interface for superclass		*/

struct CToolFrame : CImgWndTask {


	void		IToolFrame(CImgWndPane *aPane, CBitMap *aBitMap);

	void		BeginTracking (LongPt *startPt);
	void		KeepTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	void		EndTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	
	void		ToggleFrame(void);
};

struct CToolCenter : CImgWndTask {


	void		IToolCenter(CImgWndPane *aPane, CBitMap *aBitMap);

	void		BeginTracking (LongPt *startPt);
	void		KeepTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	void		EndTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	
	void		ToggleCenter(void);
};