/******************************************************************************
 CSymWndCtrl.h

		Interface for the SymWndCtrl Class
		
		Copyright  1995 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/
 
#pragma once

#include "CPane.h"					/* Interface for its superclass		*/
#include "CButton.h"



struct CSymWndCtrl : CPane {		/* Class Declaration				*/


				/* Control buttons */
	CButton		*itsNextButton;
	CButton		*itsPrevButton;
	
	
				/* Symbol code */
	short		itsSymCode;
	
	
				/* Current setting */
	short		itsSetting;
	
	
				/* Initialization */
	void		ISymWndCtrl(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							CButton *thePrevButton, CButton *theNextButton,
							short symCode);
			
		
				 /* Drawing */
	void		 Draw(Rect *area);
	void  		 DrawSetting(void);

				
				/* Operation */
	void		 Update(long theCommand);
	

				/* Memory */
	void		Dispose(void);

};