/******************************************************************************
 CDemoTable.h

		
	SUPERCLASS = CTable
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CDemoTable

#include "CTable.h"

#define	kRowLabelWidth		40			// width of row labels
#define kColLabelHeight		20			// width of col labels

class CTableScroller;
class CTableLabels;

class CDemoTable : public CTable
{

public:

	struct CTableLabels	*itsRowLabels;	// row number labels
	struct CTableLabels	*itsColLabels;	// column number labels
	
	CursHandle	plusCursor;				// The cursor for this pane
	
	void IDemoTable( CTableScroller *anEnclosure, CBureaucrat *aSupervisor,
					 CTableLabels *rowLabels, CTableLabels *colLabels);

	virtual void GetCellText( Cell aCell, short availableWidth, StringPtr itsText);
	
	virtual void AdjustCursor( Point where, RgnHandle mouseRgn);
	
	virtual void Scroll( long hDelta, long vDelta, Boolean redraw);
	
	virtual void Draw( Rect *area);
	
};