
/*
 *  getc.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "stdio.h"


char *
fgets(char *s, int n, FILE *fp)
{
	register char *t = s;
	register int c;
	
	if (n < 1)
		return(NULL);
	while (--n) {
		if ((c = getc(fp)) < 0) {
			if (fp->eof && t != s)
				break;
			return(NULL);
		}
		*t++ = c;
		if (c == '\n')
			break;
	}
	*t = '\0';
	return(s);
}


char *
gets(char *s)
{
	register FILE *fp = stdin;
	register char *t = s;
	register int c;
	
	for (;;) {
		if ((c = getc(fp)) < 0) {
			if (fp->eof && t != s)
				break;
			return(NULL);
		}
		if (c == '\n')
			break;
		*t++ = c;
	}
	*t = '\0';
	return(s);
}


int
fgetc(FILE *fp)
{
	return(getc(fp));
}


int
(getc)(FILE *fp)
{
	return(getc(fp));
}


int
(getchar)(void)
{
	return(getchar());
}
