/******************************************************************************
 ODataFile.h

		Interface for the Data File Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_ODataFile

#include "OFile.h"						/* Interface for its superclass		*/

struct ODataFile : OFile {				/* Class Declaration				*/
								/** Instance Variables **/
	short		refNum;					/* Reference number when open		*/
	

								/** Instance Methods **/
									/** Construction/Destruction **/
	void		IDataFile(void);
									
									/** Accessing **/
	OSErr		SetLength(long aLength);
	OSErr		GetLength(long *theLength);
	OSErr		SetMark(long howFar, short fromWhere);
	OSErr		GetMark(long *markPos);
	
									/** Open/Close **/
	OSErr		Open(SignedByte permission);
	OSErr		Close(void);
	
									/** Read/Write **/
	OSErr		ReadAll(Handle *contents);
	OSErr		ReadSome(Ptr info, long howMuch);
	OSErr		WriteAll(Handle contents);
	OSErr		WriteSome(Ptr info, long howMuch);
};