/******************************************************************************
 CPNTGFile.h

		Interface for the PNTGFile Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CPNTGFile

#include "CDataFile.h"					/* Interface for its superclass		*/
#include "CBitMap.h"

class CPNTGFile : public CDataFile {	/* Class Declaration				*/

public:
								/** Instance Variables **/
	Handle		header;					/* Standard header for a PNTG file	*/

								/** Instance Methods **/
	void		IPNTGFile(void);
	virtual void		Dispose(void);
	
	virtual CBitMap*	ReadNewBitMap(Boolean makePort);
	virtual void		WriteBitMap(CBitMap *theBitMap);
};

#define		PNTG_WIDTH			576		/* Width of painting in pixels		*/
#define		PNTG_HEIGHT			720		/* Height of painting in pixels		*/
