/******************************************************************************
 CStyleTEStyleTask.h

		Interface for Styled TextEdit text styling task
		
	SUPERCLASS = CTextStyleTask
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CStyleTEStyleTask

#include "CTextStyleTask.h"
#include "CStyleText.h"


class CStyleTEStyleTask : public CTextStyleTask
{
public:

	void IStyleTEStyleTask( CStyleText *aTextPane, long aStyleCmd, short firstTaskIndex);
	virtual void Undo( void);	
	virtual void Dispose( void);

protected:

	StScrpHandle	oldStyles;
	TEHandle		macTE;
	long			selStart, selEnd;
	
	virtual void SaveStyle( void);
	virtual void RestoreStyle( void);
	

};