/******************************************************************************
 CImgWndSelDrag.h

		Interface for the CSelDrag Class
		
 	    Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include "CImgWndTask.h"					/* Interface for its superclass		*/

struct CSelDrag : CImgWndTask {


	short		dragCmd;
	Boolean		newDrag;
	Boolean		done;
	Boolean		cloned;
	Boolean		undone;
	LongRect	undoSel;
	LongRect	redoSel;


	void		ISelDrag (CImgWndPane *aPane, CBitMap *aBitMap, short aCmd);

	void		BeginTracking(LongPt *startPt);
	void		KeepTracking (LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	void		EndTracking  (LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	
	void		Do (void);
	void		Undo (void);
	void		Redo (void);
};