/******************************************************************************
 CSymWndBox.h

		Interface for the SymWndBox Class
		
		Copyright  1995 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/
 
#pragma once

#include "CPane.h"					/* Interface for its superclass		*/
#include "Symbols.h"


struct CSymWndBox : CPane {		/* Class Declaration				*/

				/* Symbol code */
	short		itsSymCode;
	
	
				/* Initialization */
	void		ISymWndBox(CView *anEnclosure, CBureaucrat *aSupervisor,
								short aWidth, short aHeight,
								short aHEncl, short aVEncl,
								SizingOption aHSizing, SizingOption aVSizing,
								short symCode);
	
				/* Drawing */
	void		Draw(Rect *area);
	void		Update(void);
	void  		DrawSymType(void);

	
				/* Memory */
	void		Dispose(void);
	
};