/*****
 * TBullWindow.h
 *
 *	Copyright  1991 Symantec Corporation. All rights reserved.
 *
 *	Object definitions for window to draw a bullseye in.
 *
 *****/

#pragma once	// include this header
				// only once per source file

#include "TWindow.h"

class	TBullWindow : public TWindow {
private:
	short	width;
public:
					TBullWindow(void);		// constructor

	virtual short	Hit(Point where);
	virtual short	Draw(void);
	virtual short	DrawShape(Rect *drawingRect);
	virtual short	SetWidth(short w);
	virtual short	GetWidth(void);
};


class TCircleBull : public TBullWindow {

	virtual short	DrawShape(Rect *drawingRect);
};

class TSquareBull : public TBullWindow {

	virtual short	DrawShape(Rect *drawingRect);
};


class TTriangleBull : public TBullWindow {

	virtual short	DrawShape(Rect *drawingRect);
};


	//	This macro gets the object that stored in
	//	the refCon of the window and casts is so we
	//	can send messages to it

#define	OBJ(win)	((TBullWindow *)(((WindowPeek) win)->refCon))

