
/*
 *  signal.h
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#pragma once

typedef int sig_atomic_t;
typedef void (*__sig_func)(int);

#define SIG_DFL		((__sig_func) 0)
#define SIG_ERR		((__sig_func) -1)
#define SIG_IGN		((__sig_func) 1)

#define SIGABRT		1
#define SIGFPE		2
#define SIGILL		3
#define SIGINT		4
#define SIGSEGV		5
#define SIGTERM		6
#define __NSIG		6

__sig_func signal(int, __sig_func);
int raise(int);
