
/*
 *  assert.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "assert.h"
#include "stdio.h"
#include "stdlib.h"


int
__assert(char *expr, char *file, int line)
{
	fprintf(stderr, "Assertion failed: %s, file %s, line %d\n", expr, file, line);
	if (stderr->window) {
		fprintf(stderr, "(press return to exit)");
		fflush(stderr);
		fgetc(stderr);
	}
	abort();
}
