
/*
 *  atof.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "stdlib.h"
#include "stdio.h"


double
atof(const char *nptr)
{
	return(strtod(nptr, NULL));
}


double
strtod(const char *nptr, char **endptr)
{
	double result;
	int count;
	
	if (sscanf(nptr, "%lf%n", &result, &count) <= 0)
		result = count = 0;
	if (endptr)
		*endptr = (char *) nptr + count;
	return(result);
}
