
/*
 *  rand.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "stdlib.h"

static union {
	unsigned long		next;
	struct {
		unsigned short		: 1;
		unsigned short		n : 15;
	}					bits;
} seed = { 1 };


/*
 *  rand - pseudo-random number generator
 *
 */

int
rand(void)
{
	seed.next = seed.next * 1103515245 + 12345;
	return(seed.bits.n);
}


/*
 *  srand - seed pseudo-random number generator
 *
 */

void
srand(unsigned n)
{
	seed.next = n;
}
