/******************************************************************************
 CBorder.h

		Interface for the Border Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CBorder

#include "CPane.h"						/* Interface for its superclass		*/

class CBorder : public CPane {			/* Class Declaration				*/

public:
								/** Instance Variables **/
	short		thickness;
	short		dropShadow;

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IBorder(CView *anEnclosure, CBureaucrat *aSupervisor,
						short aWidth, short aHeight,
						short aHEncl, short aVEncl,
						SizingOption aHSizing, SizingOption aVSizing);
	virtual void		IViewTemp(CView *anEnclosure, CBureaucrat *aSupervisor,
						Ptr viewData);
	
									/** Accessing **/
	virtual void		SetThickness(short aThickness);
	virtual void		SetDropShadow(short aDropShadow);
	virtual void		SetInteriorSize(short wInterior, short hInterior);
	virtual void		GetInterior( LongRect *theInterior);
	
									/** Drawing **/
	virtual void		Draw(Rect *area);
};


typedef struct	{						/* Border Template					*/
	PaneTemp	sPaneTemp;
	short		thickness;
	short		dropShadow;
} BorderTemp, *BorderTempP;